package au.com.explodingsheep.diskDOM.helpers;


/**
 * Some node types like ProcessingInstruction and Notation have
 * no child nodes. However Node method "getChildNodes" must return
 * an empty NodeList instance. This is that empty nodelist.
 */

public class EmptyNodeList implements org.w3c.dom.NodeList
{
  public org.w3c.dom.Node item(int index)
  {
    return null;
  }
  
  public int getLength()
  {
    return 0;
  }
}
