package au.com.explodingsheep.diskDOM.helpers;


/**
 * Has one static class that removes any leading and trailing spaces
 * from the passed string.
 */

public class TrimString
{
  /**
   * Removes any whitespace characters from the start and end of the passed text.
   * This means any non-alpha characters.
   */
  
  public static String trimString( String textString )
  {
    if ( textString != null )
    {
      /* Remove any leading or trailing spaces. */
      int textStringLength = textString.length();
      if ( textStringLength > 0 )
      {
        int loop = 0;
        int trimPos = 0;
        while ( loop < textStringLength ) 
        {
          int ch = textString.charAt( loop );
          if  ( ch <= 32 )
          {
            loop++;
            trimPos++;
          }
          else
          {
            loop = textStringLength;
          }
        }

        if ( trimPos < textStringLength )
        {
          textString = textString.substring( trimPos );
        }
        else
        {
          textString = "";
        }

        loop = textString.length() - 1;
        trimPos = loop;
        while ( loop >= 0 )
        {
          int ch = textString.charAt( loop );
          if ( ch <= 32 )
          {
            loop--;
            trimPos--;
          }
          else
          {
            loop = -1;
          }
        }

        if ( trimPos > -1 )
        {
          textString = textString.substring( 0, trimPos + 1 );
        }
      }
    }
    return textString;
  }
}
