package au.com.explodingsheep.diskDOM.highLevelTests;


import java.io.*;
import javax.xml.parsers.*;
import au.com.explodingsheep.diskDOM.*;
import au.com.explodingsheep.diskDOM.documentBuilder.*;


/**
 * Example program to parse an XML file into a disk DOM file.
 */

public class ExampleParseXMLDocument
{
  public static void main( String args[] )
  {
    try
    {
      MyDocumentBuilderFactory documentBuilderFactory = ( MyDocumentBuilderFactory ) DocumentBuilderFactory.newInstance();
      documentBuilderFactory.setStorageFileName( "/tmp/ParsedNodeData.dom" );
      MyDocumentBuilder documentBuilder = ( MyDocumentBuilder ) documentBuilderFactory.newDocumentBuilder();
      try
      {
        InputStream inputStream = new FileInputStream( "/tmp/TestData.xml" );
        MyDocument document = ( MyDocument ) documentBuilder.parse( inputStream );
        document.setDocumentName( "TestDocument" );
      }
      finally
      {
        documentBuilder.close();
      }
    }
    catch ( Exception e )
    {
      e.printStackTrace();
    }
  }
}
