package au.com.explodingsheep.diskDOM.identifier;


/**
 * Defines the storing and retrieving of IdentifierIdentifier instances.
 */

public interface IdentifierStore
{
  /**
   * Writes a new Identifier to the store.
   */
  
  public IdentifierIdentifier appendIdentifier( Identifier i ) throws IdentifierStoreException;
  
  
  /**
   * Updates an Identifier in the store.
   */
  
  public void setIdentifier( IdentifierIdentifier ii, Identifier value ) throws IdentifierStoreException;
  
  
  /**
   * Retrieves an Identifier.
   */
  
  public Identifier getIdentifier( IdentifierIdentifier ii ) throws IdentifierStoreException;
  
  
  /**
   * Closes the store.
   */
  
  public void close() throws IdentifierStoreException;
}
