package au.com.explodingsheep.diskDOM.simpleFileSystem;


/**
 * One directory entry for a DefaultSimpleFileSystem.
 * Extends the DirectoryEntry interface.
 */

public class DefaultSimpleFileSystemDirectoryEntry implements DirectoryEntry
{
  /* The name of the file. */
  public String fileName = null;
  
  /* The current position in the file. */
  public int position = 0;
  
  /* The size of the file. */
  public int size = 0;
  
  /* The first pointer block. */
  public int firstBlock = DefaultSimpleFileSystem.INVALID_BLOCK_POINTER;
  
  /* The number of blocks allocated to this file. */
  public int numBlocks = 0;
}
