package au.com.explodingsheep.diskDOM;


import au.com.explodingsheep.diskDOM.identifier.*;


/**
 * Implementation of the MyDocumentFragment interface.
 */

public class DefaultMyDocumentFragment extends DefaultMyNode implements MyDocumentFragment
{
  /**
   * Constructor.
   */
  
  public DefaultMyDocumentFragment(Identifier instanceID,
                            Identifier identifier, 
                            IdentifierIdentifier parent, 
                            IdentifierList children, 
                            String prefix,
                            String namespaceURI,
                             String nodeName,
                            int nodeType,
                            Identifier document )
  {
    super( instanceID,
            identifier, 
            parent, 
            children, 
            prefix,
            namespaceURI,
            nodeName,
            nodeType,
            document,
            false );
  }

  
  /*------------------------- Overridden Node methods -----------------------*/

  
  /**
   * Returns "#document-fragment".
   */
  
  public String getNodeName()
  {
    return "#document-fragment";
  }
}
