package au.com.explodingsheep.diskDOM;


/**
 * My version of the Attr interface.
 */

public interface MyAttr extends MyNode, org.w3c.dom.Attr
{
  /**
   * Sets the value of ths attribute to the passed value and
   * resets the "specified" flag.
   */
  
  public void setDefaultValue( String defaultValue );


  /**
   * Sets the value of ths attribute to the passed value and
   * sets the "specified" flag. This is called when an attribute's
   * value is set for the first time from MyDefaultHandler and
   * we want the value to be set without checking the "readonly"
   * flag.
   */
  
  public void setInitialValue( String defaultValue );
}
