package au.com.explodingsheep.diskDOM.documentBuilder;


/**
 * This event is generated when the MyXMLReader is processing
 * an entity reference. The MyXMLReader does not leave entity references
 * in the node tree, it resolves them and calls the appropriate
 * "startElement", "endElement" and "characters" events instead. 
 * However the documentation says that entity nodes must be read-only,
 * so the MyXMLReader needs to be able to inform a listener when
 * it is processing entity nodes or not.
 */

public interface EntityHandler
{
  /**
   * Called when the MyXMLReader has just hit an entity.
   */
  
  public void entity( String entityName );
}
