package au.com.explodingsheep.diskDOM.highLevelTests;


import junit.framework.TestCase;
import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;
import org.xml.sax.*;
import au.com.explodingsheep.diskDOM.documentBuilder.*;


/**
 * @author Daniel Caddy
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */

public class TestLoadLargeXMLFile extends TestCase
{

  /**
   * Constructor for TestLoadLargeXMLFile.
   * @param arg0
   */
  public TestLoadLargeXMLFile(String arg0)
  {
    super(arg0);
  }


  /**
   * Tries to load a very large XML file.
   */
  
  public void testLoadLargeXMLFile() throws Exception
  {
    boolean result = false;
  
    MyDocumentBuilderFactory dbf = ( MyDocumentBuilderFactory ) DocumentBuilderFactory.newInstance();
    dbf.setStorageFileName( "/tmp/MyDOM/testLoadLargeXMLFile.pdom" );
    dbf.setIgnoringElementContentWhitespace( true );
    
    MyDocumentBuilder db = ( MyDocumentBuilder ) dbf.newDocumentBuilder();
//    InputStream is = new FileInputStream( "/tmp/TestXMLFiles/TmpFromHostSmall.xml" );
    InputStream is = new FileInputStream( "/tmp/TestXMLFiles/TmpFromHostMedium.xml" );
//    InputStream is = new FileInputStream( "/tmp/TestXMLFiles/TmpFromHost.xml" );
    try
    {
//      BufferedInputStream bis = new BufferedInputStream( is );
      InputSource inputSource = new InputSource( is );
      Document doc = db.parse( inputSource );
      
      result = true;
    }
    finally
    {
      is.close();
      db.close();
    }

    super.assertTrue( result );
  }
      

  public static void main(String[] args)
  {
    junit.textui.TestRunner.run(TestLoadLargeXMLFile.class);
  }
}
