package au.com.explodingsheep.diskDOM.identifier;


/**
 * An IdentifierIdentifier that assumes the Identifier it points
 * to is an IntIdentifier.Uses an int to identify an identifier
 */

public class IntIdentifierIdentifier implements IdentifierIdentifier
{
  public static final int INVALID_VALUE = -1;
  
  protected int value = 0;
  
  
  public IntIdentifierIdentifier( int value )
  {
    this.value = value;
  }
  
  
  public int getValue()
  {
    return this.value;
  }
  
  
  public boolean equals( Object o )
  {
    boolean result = false;
    if ( o instanceof IntIdentifierIdentifier )
    {
      IntIdentifierIdentifier ii = ( IntIdentifierIdentifier ) o;
      int i = ii.getValue();
      if ( i == this.value )
      {
        result = true;
      }
    }
    return result;
  }
}
